Subject: Re: TAHI CN-6-4-1 failed on Linux 2.6.32 kernel

From: Brian Haley <[email-masked]>
Date: Thu, 12 Aug 2010 17:10:08 -0400

Hi Steve,

On 07/28/2010 11:20 PM, Steve Chen wrote:
> Hello,
> 
> The TAHI correspondent node tests CN-6-4-1 (Processing in upper layer
> - Echo Checksum) failed for me in the 2.6.32 kernel.  It appears that
> the Linux kernel is replying the ICMP echo request in
> icmpv6_echo_reply without much checking.  Is this an intentional
> non-conformance to RFC3775 section 9.3.1?

Sorry for the late reply.  I've run these tests in the past against
SLES11 (2.6.27 ?) back in January 2009 and this one passed from looking
at my logs.  I don't have that system around anymore to check the config,
etc.  I didn't see any obvious commit that would have broken it from a
quick look, do you have a test setup to do some debugging?  It will
take a little time for me to re-configure mine to run this test.

-Brian